#include <bits/stdc++.h>

using namespace std;
int compare(int l[],int r[], int d[], int u[],int x[], int q){
    int br=0;
    for(int i=l[q]; i<=r[q];i++){
        if(d[i]<=x[q] && x[q]<=u[i])br++;
    }
    return br;
}
int main()
{
    int n,m;cin>>n>>m;
    int d[100000];
    int u[100000];
    int l[100000],r[100000],x[100000];
    for(int i=0;i<n;i++){
        cin>>d[i]>>u[i];
    }
    for(int i=0; i<m; i++){
        cin>>l[i]>>r[i]>>x[i];
    }
    for(int q=0; q<m; q++)
    cout<<compare(l,r,d,u,x,q)<<endl;
}